QXmpp: QXmppVersionIq Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppVersionIq Class Reference
Stanzas

The QXmppVersionIq class represents an IQ for conveying a software version as defined by XEP-0092: Software Version. More...

`#include <QXmppVersionIq.h>`

Inheritance diagram for QXmppVersionIq:

## Public Member Functions
QString | name () const
void | setName (const QString &name)
QString | os () const
void | setOs (const QString &os)
QString | version () const
void | setVersion (const QString &version)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members
Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppVersionIq class represents an IQ for conveying a software version as defined by XEP-0092: Software Version.

## Member Function Documentation

QString QXmppVersionIq::name | ( |  | ) | const

Returns the name of the software.

QString QXmppVersionIq::os | ( |  | ) | const

Returns the operating system.

void QXmppVersionIq::setName | ( | const QString & | name | ) |

Sets the name of the software.

Parameters

  name |

void QXmppVersionIq::setOs | ( | const QString & | os | ) |

Sets the operating system.

Parameters

  os |

void QXmppVersionIq::setVersion | ( | const QString & | version | ) |

Sets the software version.

Parameters

  version |

QString QXmppVersionIq::version | ( |  | ) | const

Returns the software version.

The documentation for this class was generated from the following files:

- QXmppVersionIq.h
- QXmppVersionIq.cpp